net.corda.core.node.services

## Class KeyManagementService.DefaultImpls

- net.corda.core.node.services.KeyManagementService.DefaultImpls

- Enclosing interface:
    KeyManagementService

      public static class KeyManagementService.DefaultImpls

  The KMS is responsible for storing and using private keys to sign things. An implementation of this may, for example, call out to a hardware security module that enforces various auditing and frequency-of-use requirements.

  The current interface is obviously not usable for those use cases: this is just where we'd put a real signing interface if/when one is developed.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.KeyPair` | `toKeyPair(KeyManagementService $this, java.security.PublicKey publicKey)`
    `static java.security.KeyPair` | `toKeyPair(KeyManagementService $this, java.lang.Iterable<? extends java.security.PublicKey> publicKeys)` Returns the first KeyPair matching any of the publicKeys
    `static java.security.PrivateKey` | `toPrivate(KeyManagementService $this, java.security.PublicKey publicKey)`

- - ### Method Detail

    - #### toPrivate

          public static java.security.PrivateKey toPrivate(KeyManagementService $this,
                                                           java.security.PublicKey publicKey)

    - #### toKeyPair

          public static java.security.KeyPair toKeyPair(KeyManagementService $this,
                                                        java.security.PublicKey publicKey)

    - #### toKeyPair

          public static java.security.KeyPair toKeyPair(KeyManagementService $this,
                                                        java.lang.Iterable<? extends java.security.PublicKey> publicKeys)

      Returns the first KeyPair matching any of the publicKeys

      See Also:
        KeyPair